# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::SeqParamsByteIO Class Reference

Represents compressed sequence-parameter data used in an AccessUnit.

`#include <seqparams_byteio.h>`

Inheritance diagram for dirac::SeqParamsByteIO:

[legend]
Collaboration diagram for dirac::SeqParamsByteIO:

[legend]
List of all members.

## Public Member Functions

- SeqParamsByteIO (SeqParams &seq_params, const SeqParams &default_seq_params, const ByteIO &stream_data)
    Constructor.
- ~SeqParamsByteIO ()
    Destructor.
- void Input ()
    Reads sequence information from Dirac byte-format.
- void Output ()
    Outputs sequence information to Dirac byte-format.

## Private Member Functions

- void InputChromaFormat ()
    Reads chroma format.
- void InputImageSize ()
    Reads image size info (Luma only).
- void InputVideoDepth ()
    Reads number of bits used to compress input signal.
- void OutputChromaFormat ()
    Outputs chroma format.
- void OutputImageSize ()
    Outputs image size info (Luma only).
- void OutputVideoDepth ()
    Outputs number of bits used to compress input signal.

## Private Attributes

- SeqParams & m_seq_params
    Sequence paramters for intput/output.
- const SeqParams & m_default_seq_params
    Default sequence parameters.

## Constructor & Destructor Documentation

dirac::SeqParamsByteIO::SeqParamsByteIO | ( | SeqParams & | seq_params,
|  | const SeqParams & | default_seq_params,
|  | const ByteIO & | stream_data |
| ) |  |  |

Parameters:

  | seq_params | Sequence parameters
  | default_seq_params | Default sequence parameters
  | stream_data | Source/Destination of data

dirac::SeqParamsByteIO::~SeqParamsByteIO | ( |  | ) |

## Member Function Documentation

void dirac::SeqParamsByteIO::Input | ( |  | ) |

void dirac::SeqParamsByteIO::InputChromaFormat | ( |  | ) | `[private]`

void dirac::SeqParamsByteIO::InputImageSize | ( |  | ) | `[private]`

void dirac::SeqParamsByteIO::InputVideoDepth | ( |  | ) | `[private]`

void dirac::SeqParamsByteIO::Output | ( |  | ) |

void dirac::SeqParamsByteIO::OutputChromaFormat | ( |  | ) | `[private]`

void dirac::SeqParamsByteIO::OutputImageSize | ( |  | ) | `[private]`

void dirac::SeqParamsByteIO::OutputVideoDepth | ( |  | ) | `[private]`

## Member Data Documentation

const SeqParams& dirac::SeqParamsByteIO::m_default_seq_params`[private]`

SeqParams& dirac::SeqParamsByteIO::m_seq_params`[private]`

The documentation for this class was generated from the following file:

- seqparams_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.